%define	name		tinyca 
%define	realname	%{name}2
%define version		0.7.5
%define release		%mkrel 4

%define localedir	%{_datadir}/locale

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{realname}-%{version}.tar.bz2
URL:		http://tinyca.sm-zone.net/
Group:		System/Servers
License:	GPL
Summary:	Small Certification Authority (CA) manager 
BuildRoot:	%{_tmppath}/%{name}-%{version}-buidroot
Requires:	zip
Obsoletes:    	TinyCA
Provides:	TinyCA
BuildArch:	noarch

%description 
TinyCA is a simple graphical user interface written in Perl/Gtk to manage
a small CA (Certification Authority). TinyCA works as a frontend for
openssl.

%prep
%setup -q -n %{realname}-%{version}
cd $RPM_BUILD_DIR/%{realname}-%{version}
%{__ln_s} %{realname} %{name}

# Configure pristine source
%{__perl} -pi -e 's:./lib:%{_libdir}/%{name}/lib:g' %{realname}
%{__perl} -pi -e 's:./templates:%{_libdir}/%{name}/templates:g' %{realname}
%{__perl} -pi -e 's:./locale:%{localedir}:g' %{realname}

%build
%install
%{__rm} -rf %buildroot
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/%{name}/{lib,templates}
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/GUI
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}/
%{__mkdir_p} $RPM_BUILD_ROOT%{localedir}/cs/LC_MESSAGES/
%{__mkdir_p} $RPM_BUILD_ROOT%{localedir}/de/LC_MESSAGES/
%{__mkdir_p} $RPM_BUILD_ROOT%{localedir}/es/LC_MESSAGES/

%{__install} -m 444 lib/*.pm $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/
%{__install} -m 444 lib/GUI/*.pm $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/GUI/
%{__install} -m 644 templates/openssl.cnf $RPM_BUILD_ROOT%{_libdir}/%{name}/templates/
%{__install} -m 755 %{realname} $RPM_BUILD_ROOT%{_bindir}/%{realname}
%{__mv} %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__install} -m 644 po/cs.mo $RPM_BUILD_ROOT%{localedir}/cs/LC_MESSAGES/
%{__install} -m 644 po/de.mo $RPM_BUILD_ROOT%{localedir}/de/LC_MESSAGES/
%{__install} -m 644 po/es.mo $RPM_BUILD_ROOT%{localedir}/es/LC_MESSAGES/

%find_lang %name

%clean
%{__rm} -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc CHANGES INSTALL
%{_bindir}/*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/lib/GUI/
%dir %{_libdir}/%{name}/templates/
%lang(cs) %{localedir}/cs/LC_MESSAGES/*
%lang(de) %{localedir}/de/LC_MESSAGES/*
%lang(es) %{localedir}/es/LC_MESSAGES/*
%{_libdir}/%{name}/templates/openssl.cnf
%{_libdir}/%{name}/lib




%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.5-4mdv2009.0
+ Revision: 261541
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.5-3mdv2009.0
+ Revision: 254554
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.5-1mdv2008.1
+ Revision: 136546
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 02 2007 Lenny Cartier <lenny@mandriva.com> 0.7.5-1mdv2007.0
+ Revision: 115889
- Update to 0.7.5
- Import tinyca

* Thu May 25 2006 Lenny Cartier <lenny@mandriva.com> 0.7.3-1mdk
- 0.7.3

* Mon Feb 20 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.7.2-1mdk
- 0.7.2

* Wed Oct 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.7.1-2mdk
- define new macro realname
- fixed perl substitutions
- require zip
- macroszification

* Tue Oct 25 2005 Lenny Cartier <lenny@mandriva.com> 0.7.1-1mdk
- 0.7.1

* Tue Jun 07 2005 Lenny Cartier <lenny@mandriva.com> 0.7.0-1mdk
- 0.7.0

* Mon Feb 21 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.8-1mdk
- 0.6.8

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.7-1mdk
- 0.6.7

* Thu Aug 19 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.6-2mdk
- updated description, tinyca isn't actually writen in Perl/Tk
- removed perl-tk requirisity

* Thu Aug 19 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.6-1mdk
- 0.6.6
- removed P0, merged upstream
- added new translations into package
- don't own locale directory

* Fri Jul 09 2004 Aleksander Adamowski <aleksander.adamowski@altkom.pl> 0.6.3-1mdk
- 0.6.3

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.4-3mdk
- fix DIRM
- fix locale location

